using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace MouseEventDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        [DllImport("coredll")]
        private static extern void mouse_event(MOUSEEVENTF dwFlags,
        int dx, int dy, int dwData, UIntPtr dwExtraInfo);

        [Flags()]
        private enum MOUSEEVENTF
        {
            MOUSEEVENTF_MOVE = 0x1,
            MOUSEEVENTF_LEFTDOWN = 0x2,
            MOUSEEVENTF_LEFTUP = 0x4,
            MOUSEEVENTF_ABSOLUTE = 0x8000,
        }

        private void menuItemClickStart_Click(object sender, EventArgs e)
        {
            // Перемещаем перо в верхний левый угол экрана
            // и нажимаем пером на экран (Tap)
            // Тем самым мы нажимаем на кнопку Пуск и вызываем меню этой кнопки
            mouse_event(MOUSEEVENTF.MOUSEEVENTF_MOVE | MOUSEEVENTF.MOUSEEVENTF_ABSOLUTE, 
                2, 2, 0, UIntPtr.Zero);
            // Нажимаем и отпускаем
            mouse_event(MOUSEEVENTF.MOUSEEVENTF_LEFTDOWN, 0, 0, 0, UIntPtr.Zero);
            mouse_event(MOUSEEVENTF.MOUSEEVENTF_LEFTUP, 0, 0, 0, UIntPtr.Zero);
        }
    }
}